{% from 'components/tab_navigation.html.jinja' import nav_link %}
{% from 'components/freigabestatus_badge.html.jinja' import freigabestatus_badge %}
{% from 'components/bob_badge.html.jinja' import bob_badge %}
{% from 'components/breadcrumbs.html.jinja' import breadcrumbs %}

{%- macro group_header(header, baseurl) -%}
  <header class="container-fluid border-bottom mt-3 px-md-5">
    {{
      breadcrumbs(
      "Datenfelder",
      "Datenfeldgruppe",
      header.back_url
      )
    }}

    <div class="container m-0 p-0">
      <h1 class="fs-4 fw-semibold mb-2">{{ header.name }}</h1>
    </div>
    <div class="d-flex align-items-center flex-wrap gap-2 mb-3">
      {{ header.fim_id }}<span>•</span> Version {{ header.fim_version }}<span
        >•</span
      >
      {{ header.xdf_version }}
      {{ freigabestatus_badge(header.freigabe_status) }}
      {% if header.is_bob %}
        {{ bob_badge() }}
      {% endif %}
      <button
        type="button"
        class="btn-icon copy-link-btn p-0 mr-auto"
        aria-label="Kopiere Link zu Datenfeldgruppe"
        data-href="{{ baseurl }}{{ header.base_href }}"
        data-bs-toggle="tooltip"
        data-bs-placement="bottom"
        data-bs-title="Link zu Datenfeldgruppe kopieren"
      >
        <i class="bi bi-link-45deg fs-5" aria-hidden="true"></i>
      </button>
    </div>

    <nav aria-label="Reiter">
      <ul class="nav nav-underline">
        {% for tab in header.tabs %}
          {{ nav_link(tab) }}
        {% endfor %}
      </ul>
    </nav>
  </header>
{%- endmacro -%}
